Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2389053003: [ozone/wayland] Use FakeDisplayDelegate in order to make "off device" launch work (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 months, 4 weeks ago by tonikitoo
Modified:
8 months, 3 weeks ago
Reviewers:
rjkroege, kylechar, sadrul, spang
CC:
chromium-reviews, kalyank, ozone-reviews_chromium.org, fwang
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[ozone/wayland] Use FakeDisplayDelegate in order to make "off device" launch work [1] introduced the "fake display" concept, updating OzonePlatformHeadless and OzonePlatformX11 to use it, but not OzonePlatformWayland. As a result, "chrome --mash --ozone-platform=wayland" fails to launch. This CL fixes it by returning a FakeDisplayDelegate instance in OzonePlatformWayland::CreateNativeDisplayDelegate, similarly to other off-device capable ozone platforms. [1] https://codereview.chromium.org/2324163002 BUG=611475 Committed: https://crrev.com/170de2963d3e977eb340fc5e496b3624047018e9 Cr-Commit-Position: refs/heads/master@{#423254}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+2 lines, -2 lines) Patch
M ui/ozone/platform/wayland/ozone_platform_wayland.cc View 2 chunks +2 lines, -2 lines 0 comments Download
Trybot results:  win_clang   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   win_chromium_rel_ng   ios-device   mac_chromium_compile_dbg_ng   ios-simulator   linux_android_rel_ng   mac_chromium_rel_ng   android_n5x_swarming_rel   android_arm64_dbg_recipe   android_clang_dbg_recipe   cast_shell_android   android_compile_dbg   linux_chromium_asan_rel_ng   linux_chromium_chromeos_compile_dbg_ng   linux_chromium_rel_ng   chromeos_x86-generic_chromium_compile_only_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_compile_dbg_ng   cast_shell_linux   chromeos_daisy_chromium_compile_only_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_clobber_rel_ng   win_clang   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-device   ios-simulator   mac_chromium_rel_ng   linux_android_rel_ng   android_n5x_swarming_rel   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe   cast_shell_android   linux_chromium_chromeos_compile_dbg_ng   linux_chromium_asan_rel_ng   linux_chromium_rel_ng   chromeos_x86-generic_chromium_compile_only_ng   chromium_presubmit   linux_chromium_compile_dbg_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   chromeos_daisy_chromium_compile_only_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_clobber_rel_ng 
Commit queue not available (can’t edit this change).

Messages

Total messages: 20 (9 generated)
tonikitoo
PTAL. CL updates OzonePlatformWayland::CreateNativeDisplayDelegate similarly to its OzonePlatformX11 and OzonePlatformHeadless counterparts, in order to support ...
8 months, 4 weeks ago (2016-10-04 04:27:27 UTC) #3
fwang
informal l g t m Also confirming that it allows to launch chrome --mash on ...
8 months, 3 weeks ago (2016-10-04 12:55:48 UTC) #4
kylechar
lgtm
8 months, 3 weeks ago (2016-10-04 13:51:36 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2389053003/1
8 months, 3 weeks ago (2016-10-04 13:54:14 UTC) #7
kylechar
You'll need rjkroege for OWNERS still, I don't have it for top level Ozone.
8 months, 3 weeks ago (2016-10-04 13:55:33 UTC) #8
tonikitoo
On 2016/10/04 13:55:33, kylechar wrote: > You'll need rjkroege for OWNERS still, I don't have ...
8 months, 3 weeks ago (2016-10-04 13:57:03 UTC) #10
sadrul
stamp lgtm
8 months, 3 weeks ago (2016-10-05 19:16:23 UTC) #13
rjkroege
lgtm
8 months, 3 weeks ago (2016-10-05 19:24:58 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2389053003/1
8 months, 3 weeks ago (2016-10-05 19:26:34 UTC) #16
commit-bot: I haz the power
Committed patchset #1 (id:1)
8 months, 3 weeks ago (2016-10-05 19:40:04 UTC) #18
commit-bot: I haz the power
8 months, 3 weeks ago (2016-10-05 19:42:32 UTC) #20
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/170de2963d3e977eb340fc5e496b3624047018e9
Cr-Commit-Position: refs/heads/master@{#423254}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 23e94e589